Bug 1871948 - [sig-imageregistry][Feature:ImageLayers] Image layer subresource should return layers from tagged images
Summary: [sig-imageregistry][Feature:ImageLayers] Image layer subresource should retur...
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.0
Assignee: Oleg Bulatov
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-24 16:32 UTC by Antonio Ojea
Modified: 2020-09-01 09:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
[sig-imageregistry][Feature:ImageLayers] Image layer subresource should return layers from tagged images
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift origin pull 25449 None closed Bug 1871948: Use WaitForABuild helper instead of wait.Poll 2020-09-08 19:38:30 UTC

Description Antonio Ojea 2020-08-24 16:32:56 UTC
test:
[sig-imageregistry][Feature:ImageLayers] Image layer subresource should return layers from tagged images 

is failing frequently in CI, see search results:
https://search.ci.openshift.org/?maxAge=168h&context=1&type=bug%2Bjunit&name=&maxMatches=5&maxBytes=20971520&groupBy=job&search=%5C%5Bsig-imageregistry%5C%5D%5C%5BFeature%3AImageLayers%5C%5D+Image+layer+subresource+should+return+layers+from+tagged+images


The test flakes, usually timing out on the first run and succeeding in the second with the following message

Run #0: Failed expand_less	33s
fail [github.com/openshift/origin/test/extended/images/imagechange_buildtrigger.go:261]: Unexpected error:
    <*errors.StatusError | 0xc002190dc0>: {
        ErrStatus: {
            TypeMeta: {Kind: "", APIVersion: ""},
            ListMeta: {
                SelfLink: "",
                ResourceVersion: "",
                Continue: "",
                RemainingItemCount: nil,
            },
            Status: "Failure",
            Message: "Internal error occurred: admission plugin \"build.openshift.io/BuildConfigSecretInjector\" failed to complete mutation in 13s",
            Reason: "InternalError",
            Details: {
                Name: "",
                Group: "",
                Kind: "",
                UID: "",
                Causes: [
                    {
                        Type: "",
                        Message: "admission plugin \"build.openshift.io/BuildConfigSecretInjector\" failed to complete mutation in 13s",
                        Field: "",
                    },
                ],
                RetryAfterSeconds: 0,
            },
            Code: 500,
        },
    }
    Internal error occurred: admission plugin "build.openshift.io/BuildConfigSecretInjector" failed to complete mutation in 13s


Note You need to log in before you can comment on or make changes to this bug.